# Uses of Class
java.util.Dictionary

Packages that use Dictionary
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Dictionary in java.security

Subclasses of Dictionary in java.security
Modifier and Type
Class
Description
`class`
`AuthProvider`
This class defines login and logout methods for a provider.
`class`
`Provider`
This class represents a "provider" for the Java Security API, where a provider implements some or all parts of Java Security.

## Uses of Dictionary in java.util

Subclasses of Dictionary in java.util
Modifier and Type
Class
Description
`class`
`Hashtable<K,​V>`
This class implements a hash table, which maps keys to values.
`class`
`Properties`
The `Properties` class represents a persistent set of properties.

## Uses of Dictionary in javax.swing

Subclasses of Dictionary in javax.swing
Modifier and Type
Class
Description
`class`
`UIDefaults`
A table of defaults for Swing components.
Methods in javax.swing that return Dictionary
Modifier and Type
Method
Description
`Dictionary`
JSlider.`getLabelTable()`
Returns the dictionary of what labels to draw at which values.
Methods in javax.swing with parameters of type Dictionary
Modifier and Type
Method
Description
`void`
JSlider.`setLabelTable​(Dictionary labels)`
Used to specify what label will be drawn at any given value.

## Uses of Dictionary in javax.swing.text

Methods in javax.swing.text that return Dictionary
Modifier and Type
Method
Description
`Dictionary<Object,​Object>`
AbstractDocument.`getDocumentProperties()`
Supports managing a set of properties.
Methods in javax.swing.text with parameters of type Dictionary
Modifier and Type
Method
Description
`void`
AbstractDocument.`setDocumentProperties​(Dictionary<Object,​Object> x)`
Replaces the document properties dictionary for this document.